'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = isDateAvailable;

var _AvailabilityIterator = require('../iterators/AvailabilityIterator');

function isDateAvailable(cal, availability) {
    var iterator = new _AvailabilityIterator.AvailabilityIterator({ cal: cal, availability: availability });

    while (iterator.hasNext()) {
        var cur = iterator.next();

        if (cur.status === 'available') return true;

        if (cur.until > cal.unix() * 1000) return false;
    }

    return false;
}